Skip to main content
POST
Transfer Patient Credit

Headers

TENANT
string
required

The tenant you are making this request on behalf of

API-KEY
string
required

Your api key

Path Parameters

source_credit_id
string
required

Body

application/json

Input schema for POST /billing/patient-credit/{source_credit_id}/transfer.

toPatientId
string
required

Patient who should receive the transferred credit

amount
integer
required

How much credit to move, in cents (must be > 0)

reason
enum<string>
required

Why the transfer is being made

Available options:
GIFT,
FAMILY_SHARE,
ACCOUNT_MERGE,
CORRECTION,
OTHER
note
string | null

Optional internal note explaining the transfer

Maximum string length: 1000

Response

Successful Response

Serialized patient-credit-transfer audit row. Amounts in CENTS.

id
string
required

Unique identifier for the transfer

sourceCreditId
string
required

PatientCredit the balance was taken from

destinationCreditId
string
required

Newly-created PatientCredit the balance landed on

fromPatientId
string
required

Patient the source credit belonged to

toPatientId
string
required

Patient who received the new credit

amount
integer
required

How much was moved, in cents

reason
enum<string>
required

Why the transfer was made

Available options:
GIFT,
FAMILY_SHARE,
ACCOUNT_MERGE,
CORRECTION,
OTHER
creatorId
string
required

User who recorded the transfer

createdDate
string<date-time>
required

When the transfer was recorded

fromPatientName
string | null

Display name of the sending patient

toPatientName
string | null

Display name of the receiving patient

note
string | null

Optional internal note from the staff member

creatorName
string | null

Display name of the user who recorded the transfer